Package javax.help.tagext

# Class NavigatorsTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
javax.help.tagext.NavigatorsTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class NavigatorsTag extends javax.servlet.jsp.tagext.BodyTagSupport
The JSP tag class for a Navigators

See Also:
  - `NavigatorView`
  - Serialized Form

## Field Summary

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`NavigatorsTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doAfterBody()`
`int`
`doStartTag()`
`void`
`initialize()`
`void`
`setCurrentNav(String nav)`
`void`
`setHelpBroker(HelpBroker hb)`

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doEndTag, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Constructor Details

### NavigatorsTag

public NavigatorsTag()

## Method Details

### setHelpBroker

public void setHelpBroker(HelpBroker hb)

### setCurrentNav

public void setCurrentNav(String nav)

### initialize

public void initialize()

### doStartTag

public int doStartTag()

Specified by:
  `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### doAfterBody

public int doAfterBody() throws javax.servlet.jsp.JspException

Specified by:
  `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
Overrides:
  `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Throws:
  `javax.servlet.jsp.JspException`